/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function adsItems(
  params,
  options,
) {
  return request('/admin/ads/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function adsCreate(
  body,
  options,
) {
  return request('/admin/ads/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function adsUpdate(
  body,
  options,
) {
  return request('/admin/ads/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function adsDelete(
  body,
  options,
) {
  return request('/admin/ads/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function adsItem(
  params,
  options,
) {
  return request('/admin/ads/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

